# https://github.com/syncthing/notify
%global goipath github.com/syncthing/notify
%global commit  69c7a957d3e261f9744f46b3dd4d608d8480ad90

%gometa

Name:           %{goname}
Summary:        File system event notification library on steroids
Version:        0
Release:        0.8%{?dist}
License:        MIT

URL:            %{gourl}
Source0:        %{gosource}

%description
%{summary}.


%package        devel
Summary:        %{summary}
BuildArch:      noarch

BuildRequires:  golang(golang.org/x/sys/unix)

%description    devel
%{summary}.

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup -p1


%install
%goinstall


%check
# The test runner currently crashes, ignore results for now.
%gochecks || :


%files devel -f devel.file-list
%license LICENSE
%doc README.md AUTHORS


%changelog
* Wed Jul 10 2019 Fabio Valentini <decathorpe@gmail.com> - 0-0.8.20190710git69c7a95
- Bump to commit 69c7a95.

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.7.20181011git116c45b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Oct 24 2018 Fabio Valentini <decathorpe@gmail.com> - 0-0.6.20181011git116c45b
- Use forgeautosetup instead of gosetup.

* Mon Oct 15 2018 Fabio Valentini <decathorpe@gmail.com> - 0-0.5.20181011git116c45b
- Bump to commit 116c45b.

* Wed Aug 29 2018 Fabio Valentini <decathorpe@gmail.com> - 0-0.4.20180829gitb76b458
- Bump to commit b76b458.

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3.20180708gitcdf89c4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Jul 08 2018 Fabio Valentini <decathorpe@gmail.com> - 0-0.2.20180708gitcdf89c4
- Bump to commit cdf89c4.

* Tue May 01 2018 Fabio Valentini <decathorpe@gmail.com> - 0-0.1.20180426gitb9ceffc
- Initial package.

